:root {
    --lang-panel-background: var(--grey-1-color);
    --lang-text-color: #{$black};
}

.LangPanel {
    @include desktop {
        overflow-y: auto;
    }

    &-Flag {
        width: 16px;
        height: 16px;
        border-radius: 50%;
        margin-right: 8px;
        position: relative;
        top: 4px;
    }

    &-Selected {
        width: 16px;
        height: 16px;
        border-radius: 50%;
        position: absolute;
        top: 51px;
        left: 18px;
        object-fit: cover;
    }

    &-Langs,
    &-Currencies {
        margin-bottom: 18px;

        > span {
            display: block;
            margin-bottom: 14px;
            color: var(--lang-text-color);
            font-family: 'Work Sans', sans-serif;
            font-size: 14px;
            font-weight: 500;
            line-height: 20px;
        }

        select {
            border: unset;
            color: var(--lang-text-color);
            background-color: var(--lang-panel-background);
            font-family: 'Work Sans', sans-serif;
            font-size: 14px;
            line-height: 24px;
        }

        .FieldSelect {
            &-Options {
                &_isExpanded {
                    li {
                        background-color: var(--lang-panel-background);
                    }
                }
            }
        }
    }

    &-Langs {
        .FieldSelect {
            &-Select {
                padding-left: 47px;
            }
        }
    }

    &-Currencies {
        @include desktop {
            .FieldSelect-Options {
                &_isExpanded {
                    position: relative;
                }
            }
        }
    }

    &-Cms {
        @include desktop {
            margin-bottom: 12px;
        }

        .CmsBlock-Wrapper {
            display: flex;
            flex-direction: column;

            &::after {
                display: table;
                clear: both;
                content: '';
            }

            .Footer-Block {
                @include mobile {
                    margin: 0 0 18px;
                }

                &-Title {
                    margin: 0 0 10px;
                    color: var(--grey-4-color);
                    font-size: 12px;
                    font-weight: normal;
                    line-height: 16px;

                    @include mobile {
                        margin: 0 0 12px;
                    }
                }

                ul {
                    display: flex;
                    width: 100%;
                    margin: 0 0 12px;

                    @include mobile {
                        margin: 0;
                    }

                    li {
                        display: inline-block;
                        width: 20%;
                        margin: 0 12px 0 0;

                        .Image {
                            height: auto;
                            padding-bottom: 0;

                            img {
                                position: relative;
                            }
                        }

                        &:last-child {
                            margin: 0;
                        }
                    }
                }
            }
        }
    }
}
